Skip to main content
GET
/
v2
/
deployments
/
{deployment_id}
Get Deployment
curl --request GET \
  --url https://tavusapi.com/v2/deployments/{deployment_id} \
  --header 'x-api-key: <api-key>'
{
  "deployment_id": "d1234567890abcdef",
  "pal_id": "pcb7a34da5fe",
  "name": "<string>",
  "has_password": true,
  "customization": {},
  "replica_thumbnail_video_url": "<string>",
  "thumbnail_video_url": "<string>",
  "thumbnail_image_url": "<string>",
  "limits": {},
  "allowed_origins": [
    "<string>"
  ],
  "usage_total": 123,
  "usage_today": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
For AI agents, use https://docs.tavus.io/openapi.yaml for the full HTTP API contract.

Authorizations

x-api-key
string
header
required

Path Parameters

deployment_id
string
required

Deployment UUID.

Response

Deployment details

A managed deployment. See Deployments overview.

deployment_id
string
Example:

"d1234567890abcdef"

pal_id
string

PAL that powers the deployment.

Example:

"pcb7a34da5fe"

channel
enum<string>
Available options:
widget,
embed,
landing-page
status
enum<string>
Available options:
draft,
active,
inactive
name
string
has_password
boolean
customization
object
replica_thumbnail_video_url
string | null
deprecated

Removed. Use thumbnail_video_url and thumbnail_image_url instead.

thumbnail_video_url
string | null

URL for the face preview video thumbnail.

thumbnail_image_url
string | null

URL for the face preview image thumbnail.

limits
object
allowed_origins
string[]
usage_total
integer
usage_today
integer
created_at
string<date-time>
updated_at
string<date-time>